package org.seasar.quartz;

import junit.framework.TestCase;
import org.quartz.JobDetail;

public class CronTriggerTest extends TestCase {

    public void testConstructor() {
	CronTrigger cronTrigger = new CronTrigger();
	assertEquals("DEFAULT", cronTrigger.getGroup());
	assertNotNull(cronTrigger.getStartTime());
    }

    public void testSetJobDetail() {
	CronTrigger cronTrigger = new CronTrigger();
	JobDetail jobDetail = new JobDetail();
	jobDetail.setName("testName");
	jobDetail.setGroup("testGroup");
	cronTrigger.setJobDetail(jobDetail);
	assertEquals("testName", cronTrigger.getJobName());
	assertEquals("testGroup", cronTrigger.getJobGroup());
    }
}
